### Global cloud-init template (for all VMs)

data "template_file" "cloud_init_global" {
  template = file("${path.module}/files/cloud_init_base.yaml")

  vars = {
    TS_AUTHKEY = var.TS_AUTHKEY
  }
}

resource "local_file" "cloud_init_global" {
  content  = data.template_file.cloud_init_global.rendered
  filename = "${path.module}/files/cloud_init_global.yaml"
}

